#ifndef PFNav__
#define PFNav__

#include "potentialField.h"
#include "robotinoNavigator.h"

class PFNav:public robotinoNavigator{
public:
  PFNav();
  void setPotentialField(potentialField field);	// set the internal potential field
  void spin();						// run the class.  continuously move toward lower potential
  void moveTowardTarget();				// take one step toward target
  
  potentialField navField;
  
  float movementGain;
private:

  
};


#endif  // end define